function Player::isFrontClear(%this, %mask, %multiplier) {
  if (%multiplier $= "") {
    %multiplier = 2.2;
  }

  %multiplier = mClampF(%multiplier, 0.01, 100000);

  %zScale = getWord(%this.getScale(), 2);
  %start = %this.getEyePoint();
  %vector = %this.getEyeVector();
  %end = vectorAdd(%start, vectorScale(%vector, %multiplier * %zScale));

  if (%mask $= "") {
    %mask = $TypeMasks::PlayerObjectType | $TypeMasks::StaticShapeObjectType | $TypeMasks::StaticObjectType | 
            $TypeMasks::FxBrickAlwaysObjectType | $TypeMasks::VehicleObjectType;
  }

  %ray = containerRaycast(%start, %end, %mask, %this);
  %col = firstWord(%ray);

  return !isObject(%col);
}

function PlayerThrowing_CanUseTools(%client) {
  if (!isObject(%client) || !isObject(%player = %client.player)) {
    return false;
  }

  if (%player.isBeingHeld() || %player.isHoldingPlayer()) {
    return false;
  }

  return true;
}
