function Player::removeFromGrasp(%this) {
  if (!%this.isBeingHeld()) {
    return false;
  }
  
  %holder = %this.holderPlayer;

  %this.canDismount = true;
  %this.playThread(1, root);
  %this.setScale(%this.oldScale);
  %this.setLookLimits(1, 0);
  %this.holderPlayer = "";
  %this.grabTimeout = getSimTime();

  %this.client.setControlObject(%this);

  if (!isObject(%holder)) {
    return false;
  }

  %throw = true;

  // We have to do a lot of fuckery here and I'm sorry
  if (%this.isMounted()) {
    %mask = $TypeMasks::StaticShapeObjectType | $TypeMasks::StaticObjectType | $TypeMasks::FxBrickAlwaysObjectType;
    %unmount = %holder.isFrontClear(%mask); //&& %this.checkDismountPoint(%this.getPosition(), %holder.getEyeVector());

    if (%unmount) {
      %holder.unmountObject(%this);
    }
    else {
      %this.dismount();
      %throw = false;
    }

    // Gotta do some hacky stuff because Blockland's engine sucks
    if (getWord(%holder.getEyeVector(), 2) <= -0.9 && getWord(%holder.getPosition(), 2) < 0.2) {
      %throw = false;

      // Place the player right in front of the holder, minus the Z coordinate
      // to prevent them from getting stuck in the ground
      %forward = getWords(%holder.getForwardVector(), 0, 1) @ " 0";
      %this.setTransform(vectorAdd(%forward, %holder.getPosition()));
    }
  }

  %holder.playThread(0, root);
  %holder.holdingPlayer = "";
  %holder.grabTimeout = getSimTime();

  %holder.chargeThrowAmount = 0;
  cancel(%holder.chargeThrowSchedule);

  return %throw;
}

function Player::clearAllHolding(%this) {
  if (%this.isBeingHeld()) {
    %this.removeFromGrasp();
  }
  else if (%this.isHoldingPlayer()) {
    %this.holdingPlayer.removeFromGrasp();
  }
}

function Player::escapeFromGrasp(%this) {
  if (!%this.isBeingHeld()) {
    return false;
  }

  if (!isObject(%client = %this.client)) {
    return false;
  }

  if (getSimTime() - %this.lastTimeGrabbed < $Pref::Server::PlayerThrowing::EscapeTimeout * 1000) {
    return false;
  }

  %this.removeFromGrasp();
  return true;
}
