if ($Pref::Server::PlayerThrowing::Enabled $= "") {
  $Pref::Server::PlayerThrowing::Enabled = true;
}

if ($Pref::Server::PlayerThrowing::MiniGameOnly $= "") {
  $Pref::Server::PlayerThrowing::MiniGameOnly = true;
}

if ($Pref::Server::PlayerThrowing::GrabTimeout $= "") {
  $Pref::Server::PlayerThrowing::GrabTimeout = 5;
}

if ($Pref::Server::PlayerThrowing::EscapeTimeout $= "") {
  $Pref::Server::PlayerThrowing::EscapeTimeout = 3;
}

if ($Pref::Server::PlayerThrowing::ChargeRate $= "") {
  $Pref::Server::PlayerThrowing::ChargeRate = 100;
}

if ($Pref::Server::PlayerThrowing::Multiplier $= "") {
  $Pref::Server::PlayerThrowing::Multiplier = 2.5;
}

if ($Pref::Server::PlayerThrowing::ChargeThrow $= "") {
  $Pref::Server::PlayerThrowing::ChargeThrow = true;
}

if ($Pref::Server::PlayerThrowing::ThrowAmount $= "") {
  $Pref::Server::PlayerThrowing::ThrowAmount = 12;
}

if (!isObject(ScriptPlayerThrowingPrefs) && isFunction(RTB_registerPref)) {
  %category = "Player Throwing";
  %addon = "Script_PlayerThrowing";

  RTB_registerPref("Enabled", %category, "$Pref::Server::PlayerThrowing::Enabled", "bool", %addon, 1, 0, 0);
  RTB_registerPref("Mini-Game Only", %category, "$Pref::Server::PlayerThrowing::MiniGameOnly", "bool", 
    %addon, 1, 0, 0);

  RTB_registerPref("Grab Timeout", %category, "$Pref::Server::PlayerThrowing::GrabTimeout", 
    "int 1 30", %addon, 5, 0, 0);
  RTB_registerPref("Escape Timeout", %category, "$Pref::Server::PlayerThrowing::EscapeTimeout", 
    "int 1 30", %addon, 3, 0, 0);

  RTB_registerPref("Multiplier", %category, "$Pref::Server::PlayerThrowing::Multiplier", 
    "int 1 5", %addon, 2.5, 0, 0);

  RTB_registerPref("Charge Throw", %category, "$Pref::Server::PlayerThrowing::ChargeThrow", 
    "bool", %addon, 1, 0, 0);
  RTB_registerPref("Charge Rate (milliseconds)", %category, "$Pref::Server::PlayerThrowing::ChargeRate", 
    "int 50 300", %addon, 100, 0, 0);
  RTB_registerPref("Throw Strength (if \"Charge Throw\" disabled)", %category, 
    "$Pref::Server::PlayerThrowing::ThrowAmount", "int 1 40", %addon, 12, 0, 0);
}
