function Player::throwPlayer(%this, %amount) {
  if (!%this.isHoldingPlayer()) {
    return;
  }

  if (%this.isBeingHeld()) {
    return;
  }

  if (%amount $= "") {
    %amount = $Pref::Server::PlayerThrowing::ThrowAmount;
  }

  %amount = mClamp(%amount, 1, 40);

  %holding = %this.holdingPlayer;
  %throw = %holding.removeFromGrasp();

  if (%throw) {
    %eye = %this.getEyeVector();
    %holding.addVelocity(vectorScale(%eye, %amount * $Pref::Server::PlayerThrowing::Multiplier));
  }
}

function Player::chargeThrow(%this) {
  cancel(%this.chargeThrowSchedule);

  if (!isObject(%client = %this.client)) {
    %this.chargeThrowAmount = 0;
    return;
  }

  %amount = mClamp(%this.chargeThrowAmount, 1, 20);
  %chargeBar = "||||||||||||||||||||";

  if (%amount < 20) {
    %color = "<color:FFFF00>";
    %startBar = getSubStr(%chargeBar, 0, %amount);
    %endBar = getSubStr(%chargeBar, %amount, strLen(%chargeBar));

    %chargeBar = %startBar @ "<color:000000>" @ %endBar;
  }
  else {
    %color = "<color:00FF00>";
  }

  %chargeBar = %color @ %chargeBar;
  bottomPrint(%client, "<just:center><color:FF0000>Throw! <color:FFFFFF>:" @ %chargeBar, 1, 1);

  %this.chargeThrowAmount = %amount + 1;
  %this.chargeThrowSchedule = %this.schedule($Pref::Server::PlayerThrowing::ChargeRate, chargeThrow);
}
